org.appng.persistence.repository

## Class EnversSearchRepositoryImpl<T,ID extends Serializable,N extends Number & Comparable<N>>

- java.lang.Object
- - org.springframework.data.jpa.repository.support.SimpleJpaRepository<T,ID>
  - - org.appng.persistence.repository.SearchRepositoryImpl<T,ID>
    - - org.appng.persistence.repository.EnversSearchRepositoryImpl<T,ID,N>

- Type Parameters:
    `T` - the domain class
    `ID` - the type of the Id of the domain class
    `N` - the type of the revision
  All Implemented Interfaces:
    EnversSearchRepository<T,ID,N>, SearchRepository<T,ID>, org.springframework.data.jpa.repository.JpaRepository<T,ID>, org.springframework.data.jpa.repository.JpaSpecificationExecutor<T>, org.springframework.data.repository.CrudRepository<T,ID>, org.springframework.data.repository.history.RevisionRepository<T,ID,N>, org.springframework.data.repository.PagingAndSortingRepository<T,ID>, org.springframework.data.repository.query.QueryByExampleExecutor<T>, org.springframework.data.repository.Repository<T,ID>

      public class EnversSearchRepositoryImpl<T,ID extends Serializable,N extends Number & Comparable<N>>
      extends SearchRepositoryImpl<T,ID>
      implements EnversSearchRepository<T,ID,N>

  Default `EnversSearchRepository` implementation.
  Use this class as the base class for your `EnversSearchRepository` implementations:

       <repositories base-class="org.appng.persistence.repository.EnversSearchRepositoryImpl">

  See 4.6.2. Adding custom behavior to all repositories from the reference Documentation for further details.
  Author:
    Claus Stuemke

- - ### Field Summary

    - ### Fields inherited from class org.appng.persistence.repository.SearchRepositoryImpl

      `domainClass, entityManager`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnversSearchRepositoryImpl(org.springframework.data.jpa.repository.support.JpaEntityInformation<T,ID> entityInformation, javax.persistence.EntityManager entityManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.data.history.Revision<N,T>` | `findLastChangeRevision(ID id)`
    `org.springframework.data.history.Revision<N,T>` | `findRevision(ID id, N revisionNumber)`
    `org.springframework.data.history.Revisions<N,T>` | `findRevisions(ID id)`
    `org.springframework.data.domain.Page<org.springframework.data.history.Revision<N,T>>` | `findRevisions(ID id, org.springframework.data.domain.Pageable pageable)`
    `protected Class<?>` | `getRevisionEntity()` Can be overwritten by extending class to support alternative RevisionEntity implementations

    - ### Methods inherited from class org.appng.persistence.repository.SearchRepositoryImpl

      `createSearchQuery, detach, findAll, getHistory, getRevision, getRevisionNumber, isUnique, isUnique, search, search, search, search`

    - ### Methods inherited from class org.springframework.data.jpa.repository.support.SimpleJpaRepository

      `count, count, count, delete, delete, delete, deleteAll, deleteAllInBatch, deleteInBatch, exists, exists, findAll, findAll, findAll, findAll, findAll, findAll, findAll, findAll, findAll, findOne, findOne, findOne, flush, getCountQuery, getCountQuery, getDomainClass, getOne, getQuery, getQuery, getQuery, getQuery, getQueryHints, getRepositoryMethodMetadata, readPage, readPage, save, save, saveAndFlush, setEscapeCharacter, setRepositoryMethodMetadata`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.appng.persistence.repository.SearchRepository

      `createSearchQuery, detach, getHistory, getRevision, getRevisionNumber, isUnique, isUnique, search, search, search, search`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaRepository

      `deleteAllInBatch, deleteInBatch, findAll, findAll, findAll, findAll, findAll, flush, getOne, save, saveAndFlush`

    - ### Methods inherited from interface org.springframework.data.repository.PagingAndSortingRepository

      `findAll`

    - ### Methods inherited from interface org.springframework.data.repository.CrudRepository

      `count, delete, delete, delete, deleteAll, exists, findOne, save`

    - ### Methods inherited from interface org.springframework.data.repository.query.QueryByExampleExecutor

      `count, exists, findAll, findOne`

    - ### Methods inherited from interface org.springframework.data.jpa.repository.JpaSpecificationExecutor

      `count, findAll, findAll, findAll, findOne`

- - ### Constructor Detail

    - #### EnversSearchRepositoryImpl

          public EnversSearchRepositoryImpl(org.springframework.data.jpa.repository.support.JpaEntityInformation<T,ID> entityInformation,
                                            javax.persistence.EntityManager entityManager)

  - ### Method Detail

    - #### getRevisionEntity

          protected Class<?> getRevisionEntity()

      Can be overwritten by extending class to support alternative RevisionEntity implementations

    - #### findRevision

          public org.springframework.data.history.Revision<N,T> findRevision(ID id,
                                                                             N revisionNumber)

      Specified by:
        `findRevision` in interface `org.springframework.data.repository.history.RevisionRepository<T,ID extends Serializable,N extends Number & Comparable<N>>`

    - #### findLastChangeRevision

          public org.springframework.data.history.Revision<N,T> findLastChangeRevision(ID id)

      Specified by:
        `findLastChangeRevision` in interface `org.springframework.data.repository.history.RevisionRepository<T,ID extends Serializable,N extends Number & Comparable<N>>`

    - #### findRevisions

          public org.springframework.data.domain.Page<org.springframework.data.history.Revision<N,T>> findRevisions(ID id,
                                                                                                                    org.springframework.data.domain.Pageable pageable)

      Specified by:
        `findRevisions` in interface `org.springframework.data.repository.history.RevisionRepository<T,ID extends Serializable,N extends Number & Comparable<N>>`

    - #### findRevisions

          public org.springframework.data.history.Revisions<N,T> findRevisions(ID id)

      Specified by:
        `findRevisions` in interface `org.springframework.data.repository.history.RevisionRepository<T,ID extends Serializable,N extends Number & Comparable<N>>`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.